Index: c/src/configure.in
===================================================================
--- c/src/configure.in	(revision 5a83ba24bd72d43385382eb979783f96ebcde8e9)
+++ c/src/configure.in	(revision cc63e08130fac85712365e1d9fc6be82a6f288dc)
@@ -28,5 +28,5 @@
 AC_CONFIG_SUBDIRS(lib)
 if test "$HAS_NETWORKING" = "yes"; then
-cfg_subdirs="librpc"
+cfg_subdirs="libnetworking librpc"
 fi
 if test "$RTEMS_HAS_CPLUSPLUS" = "yes"; then
Index: c/src/exec/libcsupport/Makefile.am
===================================================================
--- c/src/exec/libcsupport/Makefile.am	(revision 5a83ba24bd72d43385382eb979783f96ebcde8e9)
+++ c/src/exec/libcsupport/Makefile.am	(revision cc63e08130fac85712365e1d9fc6be82a6f288dc)
@@ -6,13 +6,6 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-if HAS_NETWORKING
-## We only build the networking library 
-## if HAS_NETWORKING was defined
-LIBNETWORKING = libnetworking 
-
 if HAS_RDBG
 LIBRDBG = librdbg
-endif
-
 endif
 
@@ -21,5 +14,5 @@
 endif
 
-SUBDIRS = start include libmisc libc $(LIBNETWORKING) libcpu libbsp \
+SUBDIRS = start include libmisc libc libcpu libbsp \
     $(LIBRDBG) $(LIBCHIP) $(LIBHWAPI) wrapup
 
Index: c/src/exec/libnetworking/Makefile.am
===================================================================
--- c/src/exec/libnetworking/Makefile.am	(revision 5a83ba24bd72d43385382eb979783f96ebcde8e9)
+++ c/src/exec/libnetworking/Makefile.am	(revision cc63e08130fac85712365e1d9fc6be82a6f288dc)
@@ -21,4 +21,4 @@
 syslog.h
 
-include $(top_srcdir)/../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../automake/local.am
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/lib/Makefile.am
===================================================================
--- c/src/lib/Makefile.am	(revision 5a83ba24bd72d43385382eb979783f96ebcde8e9)
+++ c/src/lib/Makefile.am	(revision cc63e08130fac85712365e1d9fc6be82a6f288dc)
@@ -6,13 +6,6 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-if HAS_NETWORKING
-## We only build the networking library 
-## if HAS_NETWORKING was defined
-LIBNETWORKING = libnetworking 
-
 if HAS_RDBG
 LIBRDBG = librdbg
-endif
-
 endif
 
@@ -21,5 +14,5 @@
 endif
 
-SUBDIRS = start include libmisc libc $(LIBNETWORKING) libcpu libbsp \
+SUBDIRS = start include libmisc libc libcpu libbsp \
     $(LIBRDBG) $(LIBCHIP) $(LIBHWAPI) wrapup
 
Index: c/src/lib/configure.in
===================================================================
--- c/src/lib/configure.in	(revision 5a83ba24bd72d43385382eb979783f96ebcde8e9)
+++ c/src/lib/configure.in	(revision cc63e08130fac85712365e1d9fc6be82a6f288dc)
@@ -46,11 +46,8 @@
 # If the TCP/IP stack is enabled, then find all TCP/IP Makefiles
 if test "$HAS_NETWORKING" = "yes"; then
-  cfg_subdirs="$cfg_subdirs libnetworking"
-
   if test "$RTEMS_HAS_RDBG" = "yes"; then
     RTEMS_CHECK_RDBG(RTEMS_BSP)
   fi
 fi
-
 
 if test "$HAS_RDBG" = "yes"; then
Index: c/src/libnetworking/Makefile.am
===================================================================
--- c/src/libnetworking/Makefile.am	(revision 5a83ba24bd72d43385382eb979783f96ebcde8e9)
+++ c/src/libnetworking/Makefile.am	(revision cc63e08130fac85712365e1d9fc6be82a6f288dc)
@@ -21,4 +21,4 @@
 syslog.h
 
-include $(top_srcdir)/../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../automake/local.am
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
Index: c/src/libnetworking/configure.in
===================================================================
--- c/src/libnetworking/configure.in	(revision 5a83ba24bd72d43385382eb979783f96ebcde8e9)
+++ c/src/libnetworking/configure.in	(revision cc63e08130fac85712365e1d9fc6be82a6f288dc)
@@ -5,6 +5,6 @@
 AC_PREREQ(2.13)
 AC_INIT(arpa)
-RTEMS_TOP(../../../..)
-AC_CONFIG_AUX_DIR(../../../..)
+RTEMS_TOP(../../..)
+AC_CONFIG_AUX_DIR(../../..)
 
 RTEMS_CANONICAL_TARGET_CPU
Index: cpukit/libcsupport/Makefile.am
===================================================================
--- cpukit/libcsupport/Makefile.am	(revision 5a83ba24bd72d43385382eb979783f96ebcde8e9)
+++ cpukit/libcsupport/Makefile.am	(revision cc63e08130fac85712365e1d9fc6be82a6f288dc)
@@ -6,13 +6,6 @@
 ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
 
-if HAS_NETWORKING
-## We only build the networking library 
-## if HAS_NETWORKING was defined
-LIBNETWORKING = libnetworking 
-
 if HAS_RDBG
 LIBRDBG = librdbg
-endif
-
 endif
 
@@ -21,5 +14,5 @@
 endif
 
-SUBDIRS = start include libmisc libc $(LIBNETWORKING) libcpu libbsp \
+SUBDIRS = start include libmisc libc libcpu libbsp \
     $(LIBRDBG) $(LIBCHIP) $(LIBHWAPI) wrapup
 
Index: cpukit/libnetworking/Makefile.am
===================================================================
--- cpukit/libnetworking/Makefile.am	(revision 5a83ba24bd72d43385382eb979783f96ebcde8e9)
+++ cpukit/libnetworking/Makefile.am	(revision cc63e08130fac85712365e1d9fc6be82a6f288dc)
@@ -21,4 +21,4 @@
 syslog.h
 
-include $(top_srcdir)/../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../automake/local.am
+include $(top_srcdir)/../../../automake/subdirs.am
+include $(top_srcdir)/../../../automake/local.am
